package cn.kdan.cloud.pdf.office.account.mapper.ext;

import cn.kdan.cloud.pdf.office.account.mapper.UserSubscriptionInfoMapper;
import cn.kdan.cloud.pdf.office.common.vo.UserSubscriptionInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExtUserSubscriptionInfoMapper extends UserSubscriptionInfoMapper {

    /**
     * 获取用户对于某个app的订阅情况，带设备限制数和相关平台
     *
     * @param userId 用户id
     * @param appId  appid
     * @return List
     */
    List<UserSubscriptionInfoVO> getInfo(@Param("userId") String userId, @Param("appId") String appId);

    UserSubscriptionInfoVO getByOldProductCode(@Param("code")String code);
}
