package cn.kdan.cloud.pdf.office.api.email.bo;

import lombok.Data;
import lombok.ToString;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.Serializable;
import java.util.Map;

/**
 * @author ComPDFKit-WPH 2023/1/12
 * <p>
 * email发送BO
 */
@Data
@ToString
public class EmailSendBO implements Serializable {
    /**
     * 发件方
     */
    private String fromEmail;
    /**
     * 收件方
     */
    private String toEmail;
//    /**
//     * 模板id
//     */
//    private String templateId;
    /**
     * 发送内容
     */
    private Map<String, String> sendContent;

    /**
     * 发送标题
     */
    private Map<String, String> sendTitleContent;
//    /**
//     * 邮件标题
//     */
//    private String emailTitle;
    /**
     * 使用事件  EmailCodeTypeEnum
     */
    private String useEvent;

    private String fileUrl;

    private String fileName;

}
