package cn.kdan.cloud.pdf.office.api.payment.bo;

import lombok.*;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023/1/30
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrderSucceededBO {
    /**
     * 第三方订阅 Id
     */
    private String thirdTradeNo;

    /**
     * 第三方订单 id
     */
    private String thirdOrderNo;

    /**
     * 支付 email
     */
    private String email;

    /**
     * 支付税
     */
    private BigDecimal paymentTax;

    /**
     * 支付方式  paypal/银联
     */
    private String paymentMethod;

    /**
     * 订单id
     */
    private String tradeNo;

    private String subscriptionId;

    private BigDecimal price;

    private String userId;

    private String orderId;

}
