package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKitTXA 2025-01-06
 */
@Builder
@Data
public class RightBindLogDTO {

    /**
     * 苹果交易对象
     */
    private String appleTransaction;
    /**
     * 苹果交易id
     */
    private String appleTransactionId;
    /**
     * 序列码cdkey
     */
    private String cdkey;
    /**
     *
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 序列码产品code
     */
    private String licenseProductCode;
    /**
     * 绑定后的会员系统产品id
     */
    private String productId;
    /**
     * 1序列码2苹果票据
     */
    private String type;
    /**
     *
     */
    private String userId;

}
