package cn.kdan.cloud.pdf.office.api.payment.paddle;

import java.util.List;
import com.alibaba.fastjson.annotation.JSONField;

public class SubscriptionWithUser {

	@JSONField(name="user_email")
	private String userEmail;

	@JSONField(name="payment_information")
	private PaymentInformation paymentInformation;

	@JSONField(name="linked_subscriptions")
	private List<Object> linkedSubscriptions;

	@JSONField(name="subscription_id")
	private int subscriptionId;

	@JSONField(name="next_payment")
	private NextPayment nextPayment;

	@JSONField(name="signup_date")
	private String signupDate;

	@JSONField(name="user_id")
	private int userId;

	@JSONField(name="update_url")
	private String updateUrl;

	@JSONField(name="last_payment")
	private LastPayment lastPayment;

	@JSONField(name="state")
	private String state;

	@JSONField(name="marketing_consent")
	private boolean marketingConsent;

	@JSONField(name="cancel_url")
	private String cancelUrl;

	@JSONField(name="custom_data")
	private Object customData;

	@JSONField(name="plan_id")
	private int planId;

	public void setUserEmail(String userEmail){
		this.userEmail = userEmail;
	}

	public String getUserEmail(){
		return userEmail;
	}

	public void setPaymentInformation(PaymentInformation paymentInformation){
		this.paymentInformation = paymentInformation;
	}

	public PaymentInformation getPaymentInformation(){
		return paymentInformation;
	}

	public void setLinkedSubscriptions(List<Object> linkedSubscriptions){
		this.linkedSubscriptions = linkedSubscriptions;
	}

	public List<Object> getLinkedSubscriptions(){
		return linkedSubscriptions;
	}

	public void setSubscriptionId(int subscriptionId){
		this.subscriptionId = subscriptionId;
	}

	public int getSubscriptionId(){
		return subscriptionId;
	}

	public void setNextPayment(NextPayment nextPayment){
		this.nextPayment = nextPayment;
	}

	public NextPayment getNextPayment(){
		return nextPayment;
	}

	public void setSignupDate(String signupDate){
		this.signupDate = signupDate;
	}

	public String getSignupDate(){
		return signupDate;
	}

	public void setUserId(int userId){
		this.userId = userId;
	}

	public int getUserId(){
		return userId;
	}

	public void setUpdateUrl(String updateUrl){
		this.updateUrl = updateUrl;
	}

	public String getUpdateUrl(){
		return updateUrl;
	}

	public void setLastPayment(LastPayment lastPayment){
		this.lastPayment = lastPayment;
	}

	public LastPayment getLastPayment(){
		return lastPayment;
	}

	public void setState(String state){
		this.state = state;
	}

	public String getState(){
		return state;
	}

	public void setMarketingConsent(boolean marketingConsent){
		this.marketingConsent = marketingConsent;
	}

	public boolean isMarketingConsent(){
		return marketingConsent;
	}

	public void setCancelUrl(String cancelUrl){
		this.cancelUrl = cancelUrl;
	}

	public String getCancelUrl(){
		return cancelUrl;
	}

	public void setCustomData(Object customData){
		this.customData = customData;
	}

	public Object getCustomData(){
		return customData;
	}

	public void setPlanId(int planId){
		this.planId = planId;
	}

	public int getPlanId(){
		return planId;
	}

	@Override
 	public String toString(){
		return
			"ResponseItem{" +
			"user_email = '" + userEmail + '\'' +
			",payment_information = '" + paymentInformation + '\'' +
			",linked_subscriptions = '" + linkedSubscriptions + '\'' +
			",subscription_id = '" + subscriptionId + '\'' +
			",next_payment = '" + nextPayment + '\'' +
			",signup_date = '" + signupDate + '\'' +
			",user_id = '" + userId + '\'' +
			",update_url = '" + updateUrl + '\'' +
			",last_payment = '" + lastPayment + '\'' +
			",state = '" + state + '\'' +
			",marketing_consent = '" + marketingConsent + '\'' +
			",cancel_url = '" + cancelUrl + '\'' +
			",custom_data = '" + customData + '\'' +
			",plan_id = '" + planId + '\'' +
			"}";
		}
}
