package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class PhoneWithType {
    /**
     * 电话号码，在其规范的国际E.164 编号计划格式.仅支持属性。
     */
    private Phone phoneNumber;
    /**
     * The phone type.
     *
     * Possible values: FAX,HOME,MOBILE,OTHER,PAGER.
     */
    private String phone_type;

    @Data
    @ToString
    static
    class Phone{
        private String national_number;
    }

}
