package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class Subscriber implements Serializable {
    /**
     * 付款人的电子邮件地址。
     */
    private String emailAddress;
    /**
     * 付款人的名称。仅支持和 性能.given_name surname
     */
    private PaypalName name;
    /**
     * 付款人的PayPal分配的 ID。
     */
    private String payer_id;
    /**
     * 客户的电话号码。
     * 仅当您在商家PayPal帐户的“个人资料和设置”中启用“联系电话号码”选项时可用。仅支持 .
     */
    private PhoneWithType phone;


}
