package cn.kdan.cloud.pdf.office.api.product.vo;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-Bob 2024-10-15
 */
@Data
@ToString
public class ListingProductVO {

    /**
     * id
     */
    private String id;

    private String parentId;

    /**
     * id
     */
    private String code;
    /**
     * 产品/计划名称
     */
    private String productName;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 人民币价格
     */
    private BigDecimal cnyPrice;
    /**
     *
     */
    private Integer maxDeviceNum;
    /**
     * 优惠金额
     */
    private BigDecimal displayAmount;
    private BigDecimal cnyDisplayAmount;
    /**
     * 优惠价格
     */
    private BigDecimal displayPrice;
    /**
     * 优惠人民币价格
     */
    private BigDecimal cnyDisplayPrice;
    /**
     * 买断升级订阅价格
     */
    private BigDecimal upgradePrice;
    private BigDecimal cnyUpgradePrice;
    /**
     * 3高级2标准1免费
     */
    private String levels;
    /**
     *  app_id = 1时: 0免费，1永久版，2订阅，3AI
     */
    private Integer platform;
    /**
     * 产品支持平台
     */
    private String platforms;
    /**
     * 所属业务线id (1pdf产品线2compdfkit产品线)
     */
    private Integer productLineId;
    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private Integer paymentModel;
    /**
     * 订阅周期：1、月（30天）；2、季（90天）；3、半年（183天）；4、年（365天）
     */
    private Integer cycle;
    /**
     * 0否1是
     */
    private Integer isAi;
    /**
     * 产品优惠类型，0正常商品，1教育优惠，2黑五
     */
    private Integer discountType;

    private String simplifiedChineseName;
    private String traditionalChineseName;
}
