package cn.kdan.cloud.pdf.office.api.product.vo;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-Bob 2023-01-29
 */
@Data
@ToString
public class ProductListVO {

    /**
     * id
     */
    private String id;
    private String parentId;
    private String parentProductCode;
    /**
     * 是否可购买
     */
    private Integer isPossibleToPurchase;
    /**
     * 购买方式,1原价2续费3买断升级4订阅升级5使用优惠券
     */
    private Integer typeOfPurchase;
    /**
     * 产品/计划名称
     */
    private String productName;
    /**
     *
     */
    private String code;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     *
     */
    private Integer maxDeviceNum;
    /**
     * 优惠金额
     */
    private BigDecimal displayAmount;
    private BigDecimal cnyDisplayAmount;
    /**
     *
     */
    private String description;
    /**
     *
     */
    private BigDecimal cnyPrice;
    /**
     *
     */
    private BigDecimal displayPrice;
    /**
     *
     */
    private BigDecimal cnyDisplayPrice;

    /**
     * 产品平台 1：windows，2：mac  PlatformEnum
     * app_id = 1时: 0免费，1永久版，2订阅，3AI
     */
    private Integer platform;
    /**
     * 3高级2标准1免费
     */
    private String levels;
    /**
     * 产品支持平台
     */
    private String platforms;
    /**
     * 1单次购买产品 2订阅计划产品
     */
    private Integer type;

    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private Integer paymentModel;

    /**
     * 订阅周期：1、月（30天）；2、季（90天）；3、半年（183天）；4、年（365天）
     */
    private Integer cycle;

    private String points;

    /**
     * 产品优惠类型，0正常商品，1教育优惠，2黑五
     */
    private Integer discountType;

    /**
     * 是否教育优惠
     */
    private Integer isEducation;
}
