package cn.kdan.cloud.pdf.office.api.product.vo;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023-01-29
 */
@Data
@ToString
public class ProductVO {

    /**
     * id
     */
    private String id;
    /**
     * 产品/计划名称
     */
    private String productName;
    /**
     * app ID
     */
    private String appId;
    /**
     *
     */
    private String code;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     *
     */
    private String forVersion;
    /**
     *
     */
    private String forPeriod;
    /**
     *
     */
    private Integer maxDeviceNum;
    /**
     *
     */
    private String description;
    /**
     *
     */
    private BigDecimal cnyPrice;
    /**
     *
     */
    private Integer parentProductId;
    /**
     *
     */
    private String sonIds;
    /**
     *
     */
    private BigDecimal displayPrice;
    /**
     *
     */
    private BigDecimal cnyDisplayPrice;

    /**
     * 关联活动id
     */
    private String activityId;
    /**
     * 活动信息
     */
    private ActivityInfoVO activityInfo;

    /**
     * 产品平台 1：windows，2：mac  PlatformEnum
     * app_id = 1时: 0免费，1永久版，2订阅，3AI
     */
    private Integer platform;
    /**
     * 3高级2标准1免费
     */
    private String levels;
    /**
     * 产品支持平台
     */
    private String platforms;
    /**
     *
     */
    private String model;
    /**
     * 第三方支付id
     */
    private String thirdPayId;
    /**
     * 1单次购买产品 2订阅计划产品
     */
    private Integer type;

    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private Integer paymentModel;

    /**
     * 订阅周期：1、月（30天）；2、季（90天）；3、半年（183天）；4、年（365天）
     */
    private Integer cycle;

    private String points;

    /**
     * 产品优惠类型，0正常商品，1教育优惠，2活动，3试用，4升级，10试用+活动
     */
    private Integer discountType;
}
