package cn.kdan.cloud.pdf.office.common.annotation;

import cn.kdan.cloud.pdf.office.common.config.mybatis.CustomLocalDateTimeTypeHandler;
import cn.kdan.cloud.pdf.office.common.config.mybatis.MybatisPlusConfig;
import cn.kdan.cloud.pdf.office.common.config.mybatis.MybatisPlusMetaObjectHandler;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author ComPDFKit-WPH 2023/1/12
 */
@Target(value = ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import({CustomLocalDateTimeTypeHandler.class, MybatisPlusConfig.class, MybatisPlusMetaObjectHandler.class})
public @interface EnableMybatisPlusConfig {
}
