package cn.kdan.cloud.pdf.office.common.config;

import cn.kdan.cloud.pdf.office.common.pojo.AccessControlAllowOriginBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 跨域设置
 */
@Configuration
public class AllowOriginConfig {

    @Value("${access-control-allow-origin:*}")
    private String accessControlAllowOrigin;

    @Bean
    public AccessControlAllowOriginBean accessControllerAllowOriginBean() {
        AccessControlAllowOriginBean bean = new AccessControlAllowOriginBean();
        bean.setAllowOrigin(accessControlAllowOrigin);
        return bean;
    }
}
