package cn.kdan.cloud.pdf.office.common.config;

import org.springframework.cloud.openfeign.FeignFormatterRegistrar;
import org.springframework.context.annotation.Configuration;
import org.springframework.format.FormatterRegistry;

import cn.kdan.cloud.pdf.office.common.component.DateFormatter;

/**
 * Created by tangxiangan .
 */
@Configuration
public class FeignFormatterConfig implements FeignFormatterRegistrar {

    @Override
    public void registerFormatters(FormatterRegistry registry) {
        registry.addFormatter(new DateFormatter());
    }
}
