package cn.kdan.cloud.pdf.office.common.enums.account;

/**
 * 付费类型
 *
 * @author tangxiangan
 */
public enum PayTypeEnum {

    /**
     * 无自动续订
     */
    NO_AUTO(0),
    /**
     * 自动续订
     */
    AUTO(1),;
    private final Integer value;

    PayTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
