package cn.kdan.cloud.pdf.office.payment.properties;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author ComPDFKit-Bob 2024/10/21
 * 支付中台配置id
 * PaypalProperties
 *
 */
@ConfigurationProperties(prefix = "pay.config")
@Data
@ToString
public class PayCenterConfigProperties {

    private String vx;

    private String alipay;

    private String paddle;

    private String paypal;


    private String payCenterUrl;

    private String createOrderMethod;

    private String createSubscriptionMethod;

    private String capturePaypalMethod;

    private String getOrderMethod;
}
