package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.payment.entity.OrderGiftLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * @author ComPDFKit-WPH 2024-10-28
 */
public interface OrderGiftLogService extends IService<OrderGiftLog> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<OrderGiftLog> page(OrderGiftLog query);

    OrderGiftLog logGift(String userId, String email, String name, String orderGiftId);

    void expire(String orderGiftId);

    /**
     * 取消赠送
     * @param orderGiftLogId 赠送记录id
     */
    void cancelGiveAway(String orderGiftLogId);

    //接收会员
    Boolean acceptUser(String orderGiftLogId, String receiveUserId);

    //根据id查询
    OrderGiftLog getById(String id);

    //分页查询 用户id 用户邮箱 用户名
    IPage<OrderGiftLog> orderGiftLogPage(String userId, String email, String name, Integer page, Integer pageSize);
}
