package cn.kdan.cloud.pdf.office.product.mapper;

import cn.kdan.cloud.pdf.office.api.product.vo.ListingProductVO;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductVO;
import cn.kdan.cloud.pdf.office.product.entity.Product;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023-01-28
 */
public interface ProductMapper extends BaseMapper<Product> {

    List<ProductVO> selectNewUserProductByAppId(@Param("appId") String appId);

    ProductVO getProductByThirdPayId(@Param("thirdPayId") String thirdPayId);

    List<ListingProductVO> getProductsByPlatformIdAndDiscountType(@Param("platformId") String platformId, @Param("discountTypeList") List<Integer> discountTypeList);

    List<ListingProductVO> getProductsByIds(@Param("productIds") List<String> productIds);

    ListingProductVO getProductsByCode(@Param("code") String code);

    List<ProductVO> getProductByParentIdAndDiscountType(@Param("parentId") String parentId, @Param("discountType") Integer discountType);
}
