package cn.kdan.cloud.pdf.office.product.service.impl;

import cn.kdan.cloud.pdf.office.product.entity.RProductSupplyPlatform;
import cn.kdan.cloud.pdf.office.product.mapper.RProductSupplyPlatformMapper;
import cn.kdan.cloud.pdf.office.product.service.RProductSupplyPlatformService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2025-01-02
 */
@Service
public class RProductSupplyPlatformServiceImpl extends ServiceImpl<RProductSupplyPlatformMapper, RProductSupplyPlatform> implements RProductSupplyPlatformService {

    @Override
    public IPage<RProductSupplyPlatform> page(RProductSupplyPlatform query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

}
