package cn.kdan.cloud.pdf.office.sso.pojo;

import lombok.Data;

@Data
public class CancelReasonDTO {
    /**
     * Mac：指从APP Store免费版来的邮件
     * Dmg：指从官网dmg版本来的邮件
     * Windows：指从官网exe或微软Windows版来的邮件
     */
    private String model;
    /**
     *     FUNCTIONALITY_NOT_SUFFICIENT(1, "功能不满足"),
     *     TOO_MANY_BUGS(2, "Bug过多"),
     *     UNEXPECTED_SUBSCRIPTION(3, "意外订阅"),
     *     OTHER(4, "其他"),
     *     TOO_EXPENSIVE(5, "价格过高");
     */
    private Integer title;
    private String content;
}
