package cn.kdan.cloud.pdf.office.sso.pojo;

import lombok.Data;
import lombok.ToString;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ComPDFKit-WPH 2023/4/14
 */
@Data
@ToString
public class LoginParam {

    /**
     * 邮箱
     */
    String email;
    /**
     * 密码（密码登录时才传）
     */
    String password;
    /**
     * 验证码（邮箱登录时传）
     */
    String code;
    /**
     * appId (PDF Reader Pro传1即可)
     */
    String appId;
    /**
     * 设备id
     */
    String deviceSign;
    /**
     * 设备名称
     */
    String deviceName;
    /**
     * 平台 （官网登录不用传 其他平台对应ios mac windows android）
     */
    String model;
    /**
     * 注册渠道例如PC_OFFICIAL
     * PC_OFFICIAL("PC_OFFICIAL", "官方网站 (PC)"),
     *     MOBILE_OFFICIAL("MOBILE_OFFICIAL", "官方网站 (Mobile)"),
     *
     *     // Mac Platform
     *     MAC_APP_STORE_FREE("MAC_APP_STORE_FREE", "Mac AppStore 付费版"),
     *     MAC_APP_STORE_PAID("MAC_APP_STORE_PAID", "Mac AppStore 收费版"),
     *     DMG_DOWNLOAD("DMG_DOWNLOAD", "DMG (官方网站下载)"),
     *
     *     // Windows Platform
     *     EXE_MICROSOFT_STORE("EXE_MICROSOFT_STORE", "EXE (微软商店下载)"),
     *     EXE_OFFICIAL_DOWNLOAD("EXE_OFFICIAL_DOWNLOAD", "EXE (官方网站下载)"),
     *     UWP_FREE_MICROSOFT_STORE("UWP_FREE_MICROSOFT_STORE", "UWP 免费版 (微软商店下载)"),
     *     UWP_PAID_MICROSOFT_STORE("UWP_PAID_MICROSOFT_STORE", "UWP 收费版 (微软商店下载)"),
     *
     *     // iOS Platform
     *     IOS_APP_STORE_FREE("IOS_APP_STORE_FREE", "iOS AppStore 免费版"),
     *     IOS_APP_STORE_PAID("IOS_APP_STORE_PAID", "iOS AppStore 收费版"),
     *
     *     // Android Platform
     *     ANDROID_GOOGLE_PLAY("ANDROID_GOOGLE_PLAY", "Android (Google Play 商店下载)");
     */
    String modelDetail;

    String inviteUserId;

    private String os;
    private String language;
    private String timeZone;
    private String appVersion;
}
