package cn.kdan.cloud.pdf.office.sso.utils;

import java.lang.reflect.Field;

public class NullToEmptyStringConverter {
    public static void convertNullToEmptyString(Object obj) {
        if (obj != null) {
            Field[] fields = obj.getClass().getDeclaredFields();
            for (Field field : fields) {
                try {
                    field.setAccessible(true);
                    Object value = field.get(obj);
                    if (value == null) {
                        Class<?> type = field.getType();
                        if (type == String.class) {
                            field.set(obj, "");
                        } else if (type == Integer.class || type == int.class) {
                            field.set(obj, 0);
                        }
                        // Add more conditions for other data types as needed
                    }
                } catch (IllegalAccessException e) {
                    e.printStackTrace();
                }
            }
        }
        }
}
