package cn.kdan.cloud.pdf.office.system;

import cn.kdan.cloud.pdf.office.common.annotation.EnableMybatisPlusConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;

/**
 * @author ComPDFKit-WPH 2023/1/10
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableHystrix
@EnableMybatisPlusConfig
@MapperScan("cn.kdan.cloud.pdf.office.system.mapper")
public class PDFOfficeSystemApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(PDFOfficeSystemApplication.class).run(args);
    }

}
