package cn.kdan.cloud.pdf.office.system.service.impl;

import cn.kdan.cloud.pdf.office.system.entity.App;
import cn.kdan.cloud.pdf.office.system.mapper.AppMapper;
import cn.kdan.cloud.pdf.office.system.service.AppService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2023-01-28
 */
@Service
public class AppServiceImpl extends ServiceImpl<AppMapper, App> implements AppService {

    @Override
    public IPage<App> page(App query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

}
