package cn.kdan.cloud.pdf.office.account.service.impl;

import cn.kdan.cloud.pdf.office.account.mapper.AiRecordMapper;
import cn.kdan.cloud.pdf.office.account.model.AiRecord;
import cn.kdan.cloud.pdf.office.account.model.AiRecordExample;
import cn.kdan.cloud.pdf.office.account.service.AIService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Service
@Transactional
@Slf4j
public class AIServiceImpl implements AIService {

    @Resource
    private AiRecordMapper AiRecordMapper;

    @Override
    public void insert(AiRecord aiRecord) {
        AiRecordMapper.insert(aiRecord);
    }
    @Override
    public AiRecord getByFileKey(String fileKey) {
        AiRecordExample example = new AiRecordExample();
        example.createCriteria().andFileKeyEqualTo(fileKey);
        return AiRecordMapper.selectByExample(example).get(0);
    }

}
