package cn.kdan.cloud.pdf.office.api.account.dto;

import cn.kdan.cloud.pdf.office.common.enums.account.AccountTypeEnum;
import lombok.Data;

import java.util.Date;

/**
 * @author tangxiangan
 */
@Data
public class UpdateUserForOrderDTO {

    private String userId;
    /**
     * 付费类型 0 试用 1单次购买 2订阅 3单次购买+订阅 4买断 PaidTypeEnum
     */
    private Integer payTpe;
    /**
     * 0已注销（1订阅中2订阅过期3试用中4试用过期）PDFOfficeUserStatusEnum
     */
    private Integer userStatus;

    /**
     *  1windows 2 mac
     */
    private Integer platform;

    /**
     * 失效日期
     */
    private Date endDate;

    private String productId;

    private String appId;

    private Integer point;
    private AccountTypeEnum accountType;
}
