package cn.kdan.cloud.pdf.office.api.payment.appstore;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/6/28
 *
 * AppStoreReceiptInfo
 */
@Data
@ToString
public class AppStoreReceiptInfo {

    private String environment;
    private Receipt receipt;
    @JsonProperty("latest_receipt_info")
    private List<LatestReceiptInfo> latestReceiptInfo;
    @JsonProperty("latest_receipt")
    private String latestReceipt;
    @JsonProperty("pending_renewal_info")
    private List<PendingRenewalInfo> pendingRenewalInfo;
    private int status;

}
