package cn.kdan.cloud.pdf.office.api.payment.constant;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
public interface UserAction {

    /**
     * 将客户重定向到PayPal订阅同意页后，将显示“继续”按钮。如果要控制订阅的激活，并且不希望PayPal激活订阅，请使用此选项。
     */
    String CONTINUE = "CONTINUE";

    /**
     * 将客户重定向到PayPal订阅同意页面后，将显示“立即订阅”按钮。当您希望PayPal激活订阅时，请使用此选项
     */
    String SUBSCRIBE_NOW = "SUBSCRIBE_NOW";
}
