package cn.kdan.cloud.pdf.office.api.payment.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * @author ComPDFKit-WPH 2023/7/13
 */
@Data
@ToString
public class EquityVerificationDTO {

    @NotNull(message = "userId 不能为空")
    private String userId;

    private String applePayProductId;

    private String transactionId;

    private String productCode;

    private String appBundleId;
    /**
     * 下单渠道例如PC_OFFICIAL
     * PC_OFFICIAL("PC_OFFICIAL", "官方网站 (PC)"),
     *     MOBILE_OFFICIAL("MOBILE_OFFICIAL", "官方网站 (Mobile)"),
     *
     *     // Mac Platform
     *     MAC_APP_STORE_FREE("MAC_APP_STORE_FREE", "Mac AppStore 付费版"),
     *     MAC_APP_STORE_PAID("MAC_APP_STORE_PAID", "Mac AppStore 收费版"),
     *     DMG_DOWNLOAD("DMG_DOWNLOAD", "DMG (官方网站下载)"),
     *
     *     // Windows Platform
     *     EXE_MICROSOFT_STORE("EXE_MICROSOFT_STORE", "EXE (微软商店下载)"),
     *     EXE_OFFICIAL_DOWNLOAD("EXE_OFFICIAL_DOWNLOAD", "EXE (官方网站下载)"),
     *     UWP_FREE_MICROSOFT_STORE("UWP_FREE_MICROSOFT_STORE", "UWP 免费版 (微软商店下载)"),
     *     UWP_PAID_MICROSOFT_STORE("UWP_PAID_MICROSOFT_STORE", "UWP 收费版 (微软商店下载)"),
     *
     *     // iOS Platform
     *     IOS_APP_STORE_FREE("IOS_APP_STORE_FREE", "iOS AppStore 免费版"),
     *     IOS_APP_STORE_PAID("IOS_APP_STORE_PAID", "iOS AppStore 收费版"),
     *
     *     // Android Platform
     *     ANDROID_GOOGLE_PLAY("ANDROID_GOOGLE_PLAY", "Android (Google Play 商店下载)");
     */
    private String model;
}
