package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class PlanOverride implements Serializable {

    /**
     * 用于试用计费和常规计费的一系列计费周期。订阅计费周期定义必须遵守计划计费周期定义。
     */
    private List<BillingCycleOverride> billing_cycles;
    /**
     * 要在订阅级别覆盖的付款首选项。
     */
    private PaymentPreferences payment_preferences;
    /**
     * 税务详情。
     */
    private Taxes taxes;

}
