package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class Taxes implements Serializable {
    /**
     * 指示税款是否已包含在计费金额中。
     */
    private Boolean inclusive;
    /**
     * 计费金额的税收百分比。
     */
    private String percentage;
}
