package cn.kdan.cloud.pdf.office.common.annotation;


import cn.kdan.cloud.pdf.office.common.aop.ControllerExceptionHandler;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 通过注解实现 controller异常捕捉
 */
@Target(value = ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import(ControllerExceptionHandler.class)
public @interface EnableControllerExceptionHandler {
}
