package cn.kdan.cloud.pdf.office.common.enums;

import lombok.Getter;

import java.time.temporal.ChronoUnit;

/**
 * @author ComPDFKit-WPH 2023/1/31
 */
public enum MyDateCompany {
    years(ChronoUnit.YEARS),
    months(ChronoUnit.MONTHS),
    days(ChronoUnit.DAYS),
    ;
    @Getter
    private final ChronoUnit chronoUnit;

    MyDateCompany(ChronoUnit chronoUnit) {
        this.chronoUnit = chronoUnit;
    }
}
