package cn.kdan.cloud.pdf.office.common.enums.account;

/**
 * 用户类型
 *
 * @author tangxiangan
 */
public enum AccountTypeEnum {

    /**
     * 免费用户
     */
    FREE_ACCOUNT(0),
    /**
     *  付费用户
     */
    PAID_ACCOUNT(1);

    private final Integer value;

    AccountTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
