package cn.kdan.cloud.pdf.office.common.utils;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

/**
 * Created tangxiangan.
 * 通过ApplicationContext获取bean
 */
public class SpringContextUtils implements ApplicationContextAware {

    private static ApplicationContext context;

    @Override
    public void setApplicationContext(ApplicationContext context) throws BeansException {
        SpringContextUtils.context = context;
    }

    public static Object getBean(String beanName) {
        return context.getBean(beanName);
    }

    public  static <T> T getBean(Class<T> tClass) {
        return context.getBean(tClass);
    }

    public static String getProperty(String key){
        return context.getEnvironment().getProperty(key);
    }

}
