package cn.kdan.cloud.pdf.office.payment.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023-01-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("subscription")
public class Subscription extends BaseEntity{

    /**
     *
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     *
     */
    private String productId;
    /**
     *
     */
    private Integer status;
    /**
     *
     */
    private BigDecimal price;
    /**
     *
     */
    private Integer buyerType;
    /**
     *
     */
    private String cdkey;
    /**
     *
     */
    private String email;
    /**
     *
     */
    private String phone;
    /**
     *
     */
    private String contactName;
    /**
     *
     */
    private String companyName;
    /**
     *
     */
    private Date startDate;
    /**
     *
     */
    private Date endDate;
    /**
     *
     */
    private Integer maxDeviceAmount;
    /**
     *
     */
    private BigDecimal cnyPrice;
    /**
     *
     */
    private String couponId;
    /**
     *
     */
    private String cdkeyType;
    /**
     *
     */
    private String upgradeCdkey;
    /**
     *
     */
    private String forReason;
    /**
     *
     */
    private String lastSubId;
    /**
     *
     */
    private Integer payment;
    /**
     *
     */
    private BigDecimal originalPrice;
    /**
     *
     */
    private BigDecimal cnyOriginalPrice;
    /**
     *
     */
    private Integer isVpp;
    /**
     *
     */
    private String vppMemberId;
    /**
     *
     */
    private String companyId;

    private String userId;

    /**
     * 付费类型 0不是自动订阅 1自动订阅
     */
    private Integer subscriptionType;

    private String thirdSubscriptionId;

    private String orderId;

    private String appId;

    private Integer isLock;
    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private Integer paymentModel;

}
