package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.api.payment.dto.EquityVerificationDTO;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.api.payment.dto.AppStoreOrderSucceedDTO;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/6/29
 */
public interface AppStoreService {


    /**
     * appStore 权益校验
     *
     * @param equityVerificationDTO equityVerificationDTO
     * @return UserInfoVO
     */
    UserInfoVO appStoreEquityVerification(EquityVerificationDTO equityVerificationDTO);

    Boolean bindAppleTransaction(List<String> appTransactionIds, String userId, String appleBundleId, Boolean isHaveSubscription);
}
