package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-Bob 2024-10-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("edu_emails")
public class EduEmails extends BaseEntity{

    /**
     * 域名或邮箱
     */
    private String email;
    /**
     * 0:域名模式, 1:单个邮箱
     */
    private Integer emailType;
    /**
     * 
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private Integer id;

}
