package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-TXA 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("login_log")
public class LoginLog extends BaseEntity{

    /**
     *
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     *
     */
    private String uniqueSn;
    /**
     *
     */
    private String userId;
    /**
     * 1登录2签到
     */
    private String type;
    /**
     *
     */
    private String model;
    /**
     *
     */
    private String os;
    /**
     *
     */
    private String language;
    /**
     *
     */
    private String timeZone;
    /**
     *
     */
    private String appVersion;

}
