package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2025-01-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("supply_platform")
public class SupplyPlatform extends BaseEntity{

    /**
     * 
     */
    private Date createTime;
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 名称
     */
    private String name;
    /**
     * 
     */
    private Date updateTime;
    /**
     * 1可用0不可用
     */
    private Integer validFlag;

}
