package cn.kdan.cloud.pdf.office.product.service;

import cn.kdan.cloud.pdf.office.api.product.vo.ParentProductVO;
import cn.kdan.cloud.pdf.office.product.entity.ParentProduct;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2025-01-02
 */
public interface ParentProductService extends IService<ParentProduct> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<ParentProduct> page(ParentProduct query);

    List<ParentProductVO> getProductListByPlatformId(String platformId);
}