package cn.kdan.cloud.pdf.office.product.service.impl;


import cn.kdan.cloud.pdf.office.product.entity.LoginLog;
import cn.kdan.cloud.pdf.office.product.mapper.LoginLogMapper;
import cn.kdan.cloud.pdf.office.product.service.LoginLogService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-TXA 2024-12-18
 */
@Service
public class LoginLogServiceImpl extends ServiceImpl<LoginLogMapper, LoginLog> implements LoginLogService {

    @Override
    public IPage<LoginLog> page(LoginLog query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public int getLoginDaysByUserId(String userId) {
        return this.baseMapper.getLoginDaysByUserId(userId);
    }

    @Override
    public int getLoginCountForToday(String userId) {
        return this.baseMapper.getLoginCountForToday(userId);
    }


}
