package cn.kdan.cloud.pdf.office.product.service.impl;

import cn.kdan.cloud.pdf.office.api.product.vo.ParentProductVO;
import cn.kdan.cloud.pdf.office.product.entity.ParentProduct;
import cn.kdan.cloud.pdf.office.product.mapper.ParentProductMapper;
import cn.kdan.cloud.pdf.office.product.service.ParentProductService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2025-01-02
 */
@Service
public class ParentProductServiceImpl extends ServiceImpl<ParentProductMapper, ParentProduct> implements ParentProductService {

    @Override
    public IPage<ParentProduct> page(ParentProduct query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public List<ParentProductVO> getProductListByPlatformId(String platformId) {
        return this.baseMapper.getProductListByPlatformId(platformId);
    }
}
