package cn.kdan.cloud.pdf.office.product.service.impl;


import cn.kdan.cloud.pdf.office.product.entity.RProductPay;
import cn.kdan.cloud.pdf.office.product.mapper.RProductPayMapper;
import cn.kdan.cloud.pdf.office.product.service.RProductPayService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ComPDFKit-TXA 2023-06-21
 */
@Service
public class RProductPayServiceImpl extends ServiceImpl<RProductPayMapper, RProductPay> implements RProductPayService {


    @Override
    public List<RProductPay> list(RProductPay rProductPay) {
        return this.baseMapper.selectList(new LambdaQueryWrapper<RProductPay>().eq(RProductPay::getProductId, rProductPay.getProductId())
                .eq(RProductPay::getPayment, rProductPay.getPayment())
                .eq(RProductPay::getIsDiscount, rProductPay.getIsDiscount())
                .select(RProductPay::getId, RProductPay::getProductId,RProductPay::getThirdPayId,
                        RProductPay::getIsDiscount,RProductPay::getPayment)
                .eq(RProductPay::getPayment, rProductPay.getPayment()));
    }
}
