package cn.kdan.cloud.pdf.office.product.service.impl;

import cn.kdan.cloud.pdf.office.product.entity.SupplyPlatform;
import cn.kdan.cloud.pdf.office.product.mapper.SupplyPlatformMapper;
import cn.kdan.cloud.pdf.office.product.service.SupplyPlatformService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2025-01-02
 */
@Service
public class SupplyPlatformServiceImpl extends ServiceImpl<SupplyPlatformMapper, SupplyPlatform> implements SupplyPlatformService {

    @Override
    public IPage<SupplyPlatform> page(SupplyPlatform query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

}
