package cn.kdan.cloud.pdf.office.sso.enums;

public enum ImageCodeTypeEnum {

    LOGIN("login"),
    USER_REGISTER("user_register");

    private String value;

    ImageCodeTypeEnum(String value){
        this.value = value;
    }

    public String value() {
        return value;
    }

    public static ImageCodeTypeEnum getEnumByValue(String value) {
        for (ImageCodeTypeEnum modeEnum: ImageCodeTypeEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return ImageCodeTypeEnum.LOGIN;
    }
}
